Subject: Re: [bitcoin-dev] Why Full-RBF Makes DoS Attacks on Multiparty Protocols Significantly More Expensive

From: "David A. Harding" <[email-masked]>
Date: Tue, 10 Jan 2023 00:02:35 -1000

On 2023-01-09 22:47, Peter Todd wrote:
> How do you propose that the participants learn about the double-spend? 
> Without
> knowing that it happened, they can't respond as you suggested.

I can think of various ways---many of them probably the same ideas that
would occur to you.  More concise than listing them is to just assume
they exist and realize that any protocol software which wants to defeat
the $17.00 pinning attack needs to implement some sort of conflict
monitoring system---but by using that monitoring system to defeat the
$17.00 pinning attack, the software also defeats the $0.05 individual
conflicting input attack without any need for full-RBF.

Full-RBF provides no benefits here except those which are already
provided by other necessary tools.

Thanks,

-Dave